Pops a node from the end of the doubly linked list

- « SplDoublyLinkedList::offsetUnset

- SplDoublyLinkedList::prev »

- PHP Manual
- SplDoublyLinkedList
- Pops a node from the end of the doubly linked list

# SplDoublyLinkedList::pop

(PHP 5 >= 5.3.0, PHP 7, PHP 8)

SplDoublyLinkedList::pop — Pops a node from the end of the doubly linked list

### Description

public SplDoublyLinkedList::pop(): mixed

### Parameters

This function has no parameters.

### Return Values

The value of the popped node.

### Errors/Exceptions

Throws RuntimeException when the data-structure is empty.